commit:     932fde5d1939edc0a26c290a65cf319f92caf6c8
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 10 17:32:26 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 10 17:34:28 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=932fde5d

xfce-extra/xfce4-systemload-plugin: Bump to 1.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-systemload-plugin/Manifest        |  1 +
 .../xfce4-systemload-plugin-1.3.0.ebuild           | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/xfce-extra/xfce4-systemload-plugin/Manifest 
b/xfce-extra/xfce4-systemload-plugin/Manifest
index e2696666f11..53479def38d 100644
--- a/xfce-extra/xfce4-systemload-plugin/Manifest
+++ b/xfce-extra/xfce4-systemload-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-systemload-plugin-1.2.4.tar.bz2 378644 BLAKE2B 
b50806925f02ce2a792cb72198bdd2cb0124e1d4ce12c91de124c9f4085e5908200a6f0c3b50fffdc1a6a5ae871eef0f04ec9687f43d8e8d5de1372d808a5fad
 SHA512 
1f57ffe861e9906a1744a02b0b50b1dd9e755ea4d0f8b93dba7f42416cd3727834eca60129465fa6f665ac93ec43c3a5272ce9ceae5f4bb17bf180d88e87bddd
+DIST xfce4-systemload-plugin-1.3.0.tar.bz2 399838 BLAKE2B 
78e4db137665e26f02eb229629802e569144c4c6b3d05e272d1fbc1b9488c9f00d6c82953a70d94fd5d1e054071aa5768ecafd0daaca63d67c7e6811f0e22a04
 SHA512 
a82c58433c757a02ee068b036a2347c829ea9c3cf21f0db1e2fe6af229d4d51bb5014b8894d0fe57860e87b2fe5c21a18b77518114736f3a87801412694ba296

diff --git 
a/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.3.0.ebuild 
b/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.3.0.ebuild
new file mode 100644
index 00000000000..40b60fb79f7
--- /dev/null
+++ b/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.3.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils
+
+DESCRIPTION="System load plug-in for Xfce panel"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-systemload-plugin";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="upower"
+
+RDEPEND=">=xfce-base/libxfce4ui-4.12:=[gtk3(+)]
+       >=xfce-base/xfce4-panel-4.12:=
+       >=xfce-base/xfconf-4.14:=
+       upower? ( >=sys-power/upower-0.9.23 )"
+DEPEND=${RDEPEND}
+BDEPEND="
+       dev-util/intltool
+       virtual/pkgconfig"
+
+src_configure() {
+       econf $(use_enable upower)
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to